curl --request POST \
--url https://api.jtl-cloud.com/erp/v2/sales-channels/scx/signups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"channel": "<string>"
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/sales-channels/scx/signups"
payload = {
"companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"channel": "<string>"
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({companyId: 'b45f6432-2462-4c6f-b00f-1d9d01000000', channel: '<string>'})
};
fetch('https://api.jtl-cloud.com/erp/v2/sales-channels/scx/signups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"signUpId": "<string>",
"signUpUrl": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}Create Scx Sign Up
Creates an onboarding sign-up for a new SCX seller on the given channel. Returns a sign-up id that must be passed to FinalizeScxSignUp once the seller has completed onboarding.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Optional, client-generated key for deduplicating repeated write requests. A repeated request with the same key returns the originally recorded result instead of executing the effect again.
1 - 255The tenant ID for the target ERP instance.
Body
Request model for CreateScxSignUp command endpoint. Route parameters bind from the route, query parameters from the query string, everything else from the body.
Response
A new sign-up was created for the given channel.
Creates an onboarding sign-up for a new SCX seller on the given channel. Returns a sign-up id that must be passed to FinalizeScxSignUp once the seller has completed onboarding. - Response
Was this page helpful?